#!/bin/bash

URL=http://www.dante.de/CTAN/systems/unix/teTeX-beta/
BIN_NUM=132
TETEX_DIR=/opt/teTeX
PROFILE=/etc/profile.local

unset TEXINPUTS

export CFLAGS='-O2 -march=athlon'

if [ -d $TETEX_DIR ]; then
	echo $TETEX_DIR existiert bereits.
	exit 1
fi

cd /tmp

for i in tetex-src.tar.gz tetex-texmf.tar.gz; do
	wget -c $URL$i
	wget -c $URL$i.md5sum
	if ! md5sum -c $i.md5sum; then
		exit 1
	fi
done

SRC_DIR=`tar -tzf tetex-src.tar.gz | head -1`

mkdir -p $TETEX_DIR/texmf $TETEX_DIR/texmf-dist
tar -xzf tetex-texmf.tar.gz -C $TETEX_DIR/texmf-dist
tar -xzf tetex-src.tar.gz
cd $SRC_DIR

./configure --prefix=/opt/teTeX --disable-multiplatform && \
	nice -n19 make world

if [ `/bin/ls $TETEX_DIR/bin | wc -l` -ne $BIN_NUM ]; then
	echo Irgendwas ist schiefgegangen, die Anzahl der Dateien in \
		$TETEX_DIR/bin stimmt nicht.
	exit 1
fi

if [ ! grep -q $TETEX_DIR/bin $PROFILE ]; then
	echo 'PATH=/opt/teTeX/bin:$PATH' >>$PROFILE
	echo 'MANPATH=/opt/teTeX/man:$MANPATH' >>$PROFILE
fi
